
QGIS Application - Bug report #14145

Snapping to WFS

2016-01-20 07:00 AM - Heikki Vesanto

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22147

Description

Issue I believe with indexing of snapping.

If you add in a WFS layer non-cached, so that it only loads in the extents of your screen. Turn snapping on for that layer. Create a new

feature in a different layer (at which point the WFS layer is indexed in order to be snapped to quickly). Then pan the map to bring in new

features from the WFS, you can not snap to the new features. The features in your initial view extent can be snapped to, but the new ones

cannot be. Turning editing off and on does not resolve the issue.

I have attached an image which may clarify the issue.

I have tested this on 2 different WFS servers.

It can be tested on the Vienna city WFS from:

http://data.wien.gv.at/daten/geo?version=1.1.0&#38;service=WFS&#38;request=GetCapabilities

Tested in QGIS 2.8.6 and 2.13 (2bacece) in Windows. Cannot test in 2.12 as the WFS does not fully support non-cached WFS.

History

#1 - 2016-03-09 08:15 AM - Heikki Vesanto

Tested in 2.14 as well. Still and issue. It would be good if indexing for snapping could be turned on/off either completely or on a layer by layer basis.

#2 - 2016-03-14 03:09 AM - Zlata Popelnuh

Heikki Vesanto wrote:

Tested in 2.14 as well. Still and issue. It would be good if indexing for snapping could be turned on/off either completely or on a layer by layer basis.

I am experiencing the same issue in 2.14. Snapping stops working. Auto-trace does toggle snapping but temporarily.

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
#5 - 2019-03-09 04:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
